package com.huimv.eartag2.manage2.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Result {
    private int id, timestamp;
    private String type, time;
    private String envTemp;

    private int str2stamp(String time) throws ParseException {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = simpleDateFormat.parse(time);
        return (int)(date.getTime() / 1000);
    }

    public Result(int id, String time,String envTemp) throws Exception {
        this.setId(id);
        this.setTime(time);
        this.setEnvTemp(envTemp);
    }

    public void setId(int id) throws Exception {
        if (id == 1) this.type = "睡眠状态";
        else if (id == 2) this.type = "侧躺状态";
        else if (id == 3) this.type = "活跃状态";
        else if (id == 4) this.type = "其它状态";
        else throw new RuntimeException("unrecognized id: " + id);
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public String getType() {
        return type;
    }

    public void setTime(String time) throws ParseException {
        this.timestamp = str2stamp(time);
        this.time = time;
    }

    public String getTime() {
        return time;
    }

    public int getTimestamp() {
        return timestamp;
    }

    public String getEnvTemp() {
        return envTemp;
    }

    public void setEnvTemp(String envTemp) {
        this.envTemp = envTemp;
    }
}
